services:
  app:
    container_name: simple-qr
    image: git.pihkaal.me/pihkaal/simple-qr:latest
    networks:
      - web
    labels:
      - "traefik.enable=true"
      - "traefik.http.routers.simple-qr.rule=Host(`simple-qr.com`)"
      - "traefik.http.routers.simple-qr.service=simple-qr"
      - "traefik.http.services.simple-qr.loadbalancer.server.port=3000"
      - "traefik.http.routers.simple-qr.tls=true"
      - "traefik.http.routers.simple-qr.tls.certResolver=myresolver"
      - "traefik.http.routers.simple-qr.middlewares=umami-middleware@file"
    restart: always

networks:
  web:
    external: true
